### Hierarchy

- CheckboxSettingComponent

## Index

### Inputs

- options

### Outputs

- optionsChange

### Constructors

- constructor

### Properties

- options
- optionsChange

### Methods

- getContent
- onChange

## Constructors

### constructor

- new CheckboxSettingComponent(): CheckboxSettingComponent

- #### Returns CheckboxSettingComponent

## Properties

### options

@Input()
options: CheckboxOption[]

- Defined in packages/angular/src/toolkit/table-settings/settings/checkbox-setting.component.ts:20

### optionsChange

@Output()
optionsChange: EventEmitter<SettingChanges> = ...

- Defined in packages/angular/src/toolkit/table-settings/settings/checkbox-setting.component.ts:22

## Methods

### getContent

- getContent(option: CheckboxOption): Observable<string>

- - Defined in packages/angular/src/toolkit/table-settings/settings/checkbox-setting.component.ts:24

  #### Parameters

  - ##### option: CheckboxOption

  #### Returns Observable<string>

### onChange

- onChange(event: CheckboxChange, eventOption: CheckboxOption): void

- - Defined in packages/angular/src/toolkit/table-settings/settings/checkbox-setting.component.ts:31

  #### Parameters

  - ##### event: CheckboxChange

  - ##### eventOption: CheckboxOption

  #### Returns void

Generated using TypeDoc